require 'old_api_resource'
require 'rails'

module OldApiResource
  
  class Railtie < ::Rails::Railtie
    
    config.old_api_resource = ActiveSupport::OrderedOptions.new
    
    initializer "old_api_resource.set_configs" do |app|
      app.config.old_api_resource.each do |k,v|
        OldApiResource::Base.send "#{k}=", v
      end
    end
    
  end
  
end
